GET /api/v3/account/{accountId}/meter/{meterId}/calculatedBill/{versionId}/accountLineItem

Retrieves the account-level line items for a calculated bill version

GetAccountLineItemsV3 Permissions: Meters (View)
Use this endpoint to see the currently configured account-level bodylines for a calculated bill version. To update, use PUT on this same route.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
accountId Unique numeric identifier of the account integer (int32) Required
meterId Unique numeric identifier of the meter integer (int32) Required
versionId Unique numeric identifier of the calculated bill distribution version integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GenericBodylineResponse
Property Description Type
calculationType The calculation type for the line item. Either “Fixed”, “Percentage”, or “Subtotal” string
caption The caption string
observationType ObservationTypeChild
ObservationTypeChild properties
Property Description Type
credit Indicates the type of credit for the observation type. Possible values include: 1 (Credit), 2 (Debit), 3 (Ignore) integer (int32)
nounCode The observation type’s noun code string
nounId The identifier for the observation type’s noun integer (int32)
observationTypeCode The observation type code string
observationTypeId The observation type identifier integer (int32)
observationTypeInfo The observation type info string
value The bodyline’s value number (double)
Example Response application/json
[
  {    "calculationType": "string",    "caption": "string",    "observationType": {      "credit": 1,      "nounCode": "string",      "nounId": 1,      "observationTypeCode": "string",      "observationTypeId": 1,      "observationTypeInfo": "string"
    },    "value": 1.0
  }
]